function Ghg(){}
function Mhg(){}
function whg(a){this.a=a}
function yhg(a){this.a=a}
function Khg(a){this.a=a}
function Fhg(a,b){YZf(a.a,b)}
function aig(a){var b;if(!a.d){b=new Ghg;a.d=b}return a.d}
function Ihg(){Kne.call(this,_Zj,'Persistence Inheritance')}
function rhg(a){var b;b=AAh(a.b.a,ruf(),$L($0c,pxj,1,[]));I7i(z7i(b,mGj),g_j);unj(new Nmj(b),new whg(a))}
function thg(a,b,d,e){JFd.call(this,a,b,d);this.c=e;this.b=new __i(bLb,(LAh(),GAh).Mc(bLb),KAh.Mc(bLb));this.a=new o0i(bLb)}
function _hg(a){var b;if(!a.c){b=new thg(TEd(Qbe(a.a)),aig(a),$hg(a),(Ynj(vde(a.a)),oLg(Jce(a.a))),a1i(tde(a.a)));dFd((Rbe(a.a),b),aGd(Rbe(a.a)));a.c=b}return a.c}
function shg(a,b){var d;d=d0i(a.a,b,AAh(a.b.a,ruf(),$L($0c,pxj,1,[])),$L(T1c,ixj,281,[]));if(b.Jc(jMj)&&uh(b.Mc(jMj),Pzj)){b.Pc(jMj);O7i(z7i(d,kMj),(Rlj(),Qlj))}unj(new Nmj(d),new yhg(a))}
function vhg(a,b){var d,e;e=onj(b);if(e.b.gN(JGj)&&z7i(e,JGj).b.b!=(Rlj(),Qlj)&&!XOd(z7i(e,JGj).b.Ze(),KGj)){XXd(l_j+(SXd(),'Loading JPA Subsystem'))}else{d=e0i(a.a.a,z7i(e,vGj).b._M());Fhg(a.a.A,d)}}
h3c(3553,1007,oyj,thg);_.Qi=function(){this.A.b=this};_.Vi=function(){rhg(this)};_.Zi=function(){uuf(this.c,this)};h3c(3554,1294,{},whg);_.dh=function(a){vhg(this,a)};h3c(3555,1294,{},yhg);_.dh=function(a){var b;b=onj(a);b.b.gN(JGj)&&z7i(b,JGj).b.b!=(Rlj(),Qlj)&&!XOd(z7i(b,JGj).b.Ze(),KGj)?YXd(r0j+(SXd(),Eck),B7i(b)):ZXd(s0j+(SXd(),Eck));rhg(this.a)};h3c(3558,1411,nyj,Ghg);_.Ah=function(){var a,b,d,e,g,i;this.a=new d$f(bLb);a=new Kge(jMj,Fck,false);g=new Ihg;Jne(g,$L($0c,pxj,1,['DEEP','SHALLOW']));P0d(this.a,zGj,$L(R1c,Yyj,262,[a,g]));N0d(this.a,false);d=new H0i(this.a,new Khg(this));e=new v1e(new Mhg,this.a);b=DAe(FAe(EAe(new HAe,this.a),e));i=hBe(mBe(lBe(iBe(jBe(oBe(new pBe,P1j),Eck),(SXd(),'The configuration of the JPA subsystem.')),c2j,b),F0i(d)));return i};h3c(3559,1659,czj,Ihg);_.Zj=function(){return false};h3c(3560,1,{},Khg);_.Dk=function(a){shg(this.a.b,(this.a.a.c,a))};h3c(3561,1,{},Mhg);_.$k=function(){var a;a=ruf();J7i(n7i(a),DHj,IFj);return a};h3c(3567,1,Wyj);_.pd=function(){BGd(this.b,_hg(this.a.a))};var VKb=zNd(3553),RKb=zNd(3554),SKb=zNd(3555),ZKb=zNd(3558),WKb=zNd(3559),XKb=zNd(3560),YKb=zNd(3561);Kzj(_o)(54);